#pragma once

#include "CollisionBox.h"

namespace Ogre
{
	class SceneNode;
	class Entity;
}


class FireBall : public CollisionBox
{
public:
	FireBall(int nameNumer);
	Ogre::SceneNode* mNode;
	Ogre::Entity* mEnt;
	int mActive; //frames left active
	void Update();
};

class FireArray
{
public:
	FireArray(int a_Length);
	int mLength;
	FireBall** mBullets;
	void Update();
	void AddBullet(Ogre::Vector3 aPos, Ogre::Vector3 aSpeed);
};